<?xml version="1.0" encoding="UTF-8"?>
<beans
	xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd http://www.springframework.org/schema/context http://www.springframework.org/schema/context/spring-context-4.3.xsd http://www.springframework.org/schema/mvc http://www.springframework.org/schema/mvc/spring-mvc-4.3.xsd"
	xmlns:mvc="http://www.springframework.org/schema/mvc"
	xmlns:context="http://www.springframework.org/schema/context"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xmlns="http://www.springframework.org/schema/beans">

	<!-- Enable Spring MVC annotations! -->
	<mvc:annotation-driven></mvc:annotation-driven>
	
	<!-- Make sure you tell Spring which packages to scan for annotations. -->
	<context:component-scan base-package="com.revature.controller"></context:component-scan>
	
	<!-- Now we're going to set up our view resolver! -->
	<mvc:default-servlet-handler/>
	
	<!-- Tell Spring where it should look for my views. -->
	<mvc:resources location="/static/" mapping="/static/**"></mvc:resources>
	
	<!-- Configure the view resolver bean -->
	<bean name="viewResolver" class="org.springframework.web.servlet.view.InternalResourceViewResolver">
		<property name="prefix" value="/static/views/"></property>
		<property name="suffix" value=".html"></property>
	</bean>

</beans>